#
# spec file for package rubygem-tzinfo
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           rubygem-tzinfo
Version:        1.2.2
Release:        7.3
%define mod_name tzinfo
%define mod_full_name %{mod_name}-%{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  %{ruby >= 1.8.7}
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  %{rubygem rdoc > 3.10}
BuildRequires:  ruby-macros >= 5
Url:            http://tzinfo.github.io
Source:         http://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        Daylight savings aware timezone library
License:        MIT
Group:          Development/Languages/Ruby

%description
TZInfo provides daylight savings aware transformations between times in
different time zones.

%prep

%build

%install
%gem_install \
  --doc-files="CHANGES.md LICENSE README.md" \
  -f

%gem_packages

%changelog
* Wed Oct 15 2014 coolo@suse.com
- put the requires actually in the gem_packages
* Sun Oct 12 2014 coolo@suse.com
- port MANUAL to gem2rpm.yml
* Sun Oct 12 2014 coolo@suse.com
- updated to version 1.2.2
  * Fix an error with duplicates being returned by Timezone#all_country_zones
  and Timezone#all_country_zone_identifiers when used with tzinfo-data
  v1.2014.6 or later.
  * Use the zone1970.tab file for country timezone data if it is found in the
  zoneinfo directory (and fallback to zone.tab if not). zone1970.tab was added
  in tzdata 2014f. zone.tab is now deprecated.
  Version 1.2.1 - 1-Jun-2014
  - -------------------------
  * Support zoneinfo files generated with zic version 2014c and later.
  * On platforms that only support positive 32-bit timestamps, ensure that
  conversions are accurate from the epoch instead of just from the first
  transition after the epoch.
  * Minor documentation improvements.
  Version 1.2.0 - 26-May-2014
  - --------------------------
  * Raise the minimum supported Ruby version to 1.8.7.
  * Support loading system zoneinfo data on FreeBSD, OpenBSD and Solaris.
  Resolves #15.
  * Add canonical_identifier and canonical_zone methods to Timezone. Resolves #16.
  * Add a link to a DataSourceNotFound help page in the TZInfo::DataSourceNotFound
  exception message.
  * Load iso3166.tab and zone.tab files as UTF-8.
  * Fix Timezone#local_to_utc returning local Time instances on systems using UTC
  as the local time zone. Resolves #13.
  * Fix == methods raising an exception when passed an instance of a different
  class by making <=> return nil if passed a non-comparable argument.
  * Eliminate "require 'rational'" warnings. Resolves #10.
  * Eliminate "assigned but unused variable - info" warnings. Resolves #11.
  * Switch to minitest v5 for unit tests. Resolves #18.
* Mon May 19 2014 coolo@suse.com
- require timezone
* Thu Oct 10 2013 coolo@suse.com
- updated to version 1.1.0
  * TZInfo is now thread safe. ThreadSafe::Cache is now used instead of Hash
  to cache Timezone and Country instances returned by Timezone.get and
  Country.get. The tzinfo gem now depends on thread_safe ~> 0.1.
  * Added a transitions_up_to method to Timezone that returns a list of the times
  where the UTC offset of the timezone changes.
  * Added an offsets_up_to method to Timezone that returns the set of offsets
  that have been observed in a defined timezone.
  * Fixed a "can't modify frozen String" error when loading a Timezone from a
  zoneinfo file using an identifier String that is both tainted and frozen.
  Resolves #3.
  * Support TZif3 format zoneinfo files (now produced by zic from tzcode version
  2013e onwards).
  * Support using YARD to generate documentation (added a .yardopts file).
  * Ignore the +VERSION file included in the zoneinfo directory on Mac OS X.
  * Added a note to the documentation concerning 32-bit zoneinfo files (as
  included with Mac OS X).
* Sat Jul 20 2013 coolo@suse.com
- updated to version 1.0.1
  * Fix a test case failure when tests are run from a directory that contains a
  dot in the path (issue #29751).
* Mon Jun  3 2013 coolo@suse.com
- updated to version 1.0.0
  * Allow TZInfo to be used with different data sources instead of just the
  built-in Ruby module data files.
  * Include a data source that allows TZInfo to load data from the binary
  zoneinfo files produced by zic and included with many Linux and Unix-like
  distributions.
  * Remove the definition and index Ruby modules from TZInfo and move them into
  a separate TZInfo::Data library (available as the tzinfo-data gem).
  * Default to using the TZInfo::Data library as the data source if it is
  installed, otherwise use zoneinfo files instead.
  * Preserve the nanoseconds of local timezone Time objects when performing
  conversions (issue #29705).
  * Don't add the tzinfo lib directory to the search path when requiring 'tzinfo'.
  The tzinfo lib directory must now be in the search path before 'tzinfo' is
  required.
  * Add utc_start_time, utc_end_time, local_start_time and local_end_time instance
  methods to TimezonePeriod. These return an identical value as the existing
  utc_start, utc_end, local_start and local_end methods, but return Time
  instances instead of DateTime.
  * Make the start_transition, end_transition and offset properties of
  TimezonePeriod protected. To access properties of the period, callers should
  use other TimezonePeriod instance methods instead (issue #7655).
* Mon Mar 18 2013 coolo@suse.com
- updated to version 0.3.37
  * Updated to tzdata version 2013b
  (http://mm.icann.org/pipermail/tz-announce/2013-March/000010.html).
* Sun Mar  3 2013 coolo@suse.com
- updated to version 0.3.36
  * Updated to tzdata version 2013a
  (http://mm.icann.org/pipermail/tz-announce/2013-March/000009.html).
  * Fix TimezoneTransitionInfo#eql? incorrectly returning false when running on
  Ruby 2.0.
  * Change eql? and == implementations to test the class of the passed in object
  instead of checking individual properties with 'respond_to?'.
* Mon Nov  5 2012 coolo@suse.com
- updated to version 0.3.35
  (http://mm.icann.org/pipermail/tz-announce/2012-November/000007.html).
* Sun Oct 28 2012 coolo@suse.com
- updated to version 0.3.34
  * Updated to tzdata version 2012h
    (http://mm.icann.org/pipermail/tz-announce/2012-October/000006.html).
* Tue Jul 31 2012 jreidinger@suse.com
- use new gem2rpm to provide new version of provisions
* Sun Apr  8 2012 coolo@suse.com
- update to 0.3.33
  * Updated to tzdata version 2012c
  (http://article.gmane.org/gmane.comp.time.tz/4859).
* Tue Apr  3 2012 coolo@suse.com
- update to 0.3.32
  * Updated to tzdata version 2012b
  (http://article.gmane.org/gmane.comp.time.tz/4756).
* Tue Nov  1 2011 jmassaguerpla@suse.de
- update to version 0.3.30
* Mon Aug  1 2011 mrueckert@suse.de
- update to version 0.3.29
  * Updated to tzdata version 2011h
    (http://article.gmane.org/gmane.comp.time.tz/3814).
  * Allow the default value of the local_to_utc and
    period_for_local dst parameter to be specified globally with a
    Timezone.default_dst attribute.  Thanks to Kurt Werle for the
    suggestion and patch.
* Mon Jun 20 2011 mrueckert@suse.de
- update to version 0.3.28
  * Add support for Ruby 1.9.3 (trunk revision 31668 and later).
    Thanks to Aaron Patterson for reporting the problems running on
    the new version. Closes #29233.
- additional changes from 0.3.27
  * Updated to tzdata version 2011g
    (http://article.gmane.org/gmane.comp.time.tz/3758).
- additional changes from 0.3.26
  * Updated to tzdata version 2011e
    (http://article.gmane.org/gmane.comp.time.tz/3707).
- additional changes from 0.3.25
  * Updated to tzdata version 2011d
    (http://article.gmane.org/gmane.comp.time.tz/3662).
- additional changes from 0.3.24
  * Updated to tzdata version 2010o
    (http://article.gmane.org/gmane.comp.time.tz/3473).
* Mon Aug 30 2010 mrueckert@suse.de
- update to version 0.3.23
  * Updated to tzdata version 2010l
    (http://article.gmane.org/gmane.comp.time.tz/3354).
* Mon Jun 14 2010 mrueckert@suse.de
- update to version 0.3.22
  * Corrected file permissions issue with 0.3.21 release.
- additional changes from version 0.3.21
  * Updated to tzdata version 2010j
    (http://article.gmane.org/gmane.comp.time.tz/3225).
  * Change invalid timezone check to exclude characters not used in
    timezone identifiers and avoid 'character class has duplicated
    range' warnings with Ruby 1.9.2.
  * Ruby 1.9.2 has deprecated "require 'rational'", but older
    versions of Ruby need rational to be required. Require rational
    only when the Rational module has not already been loaded.
  * Remove circular requires (now a warning in Ruby 1.9.2). Instead
    of using requires in each file for dependencies, tzinfo.rb now
    requires all tzinfo files. If you were previously requiring
    files within the tzinfo directory (e.g. require
    'tzinfo/timezone'), then you will now have to require 'tzinfo'
    instead.
- additional changes from version 0.3.20
  * Updated to tzdata version 2010i
    (http://article.gmane.org/gmane.comp.time.tz/3202).
- additional changes from version 0.3.19
  * Updated to tzdata version 2010h
    (http://article.gmane.org/gmane.comp.time.tz/3188).
- additional changes from version 0.3.18
  * Updated to tzdata version 2010g
    (http://article.gmane.org/gmane.comp.time.tz/3172).
- additional changes from version 0.3.17
  * Updated to tzdata version 2010e
    (http://article.gmane.org/gmane.comp.time.tz/3128).
* Fri Jun 11 2010 mrueckert@suse.de
- use rubygems_requires macro
* Wed Jan  6 2010 prusnak@suse.cz
- updated to 0.3.16
* Mon Dec 21 2009 prusnak@suse.cz
- updated to version 0.3.15
* Fri Nov 14 2008 mrueckert@suse.de
- update to version 0.3.12:
  * Updated to tzdata version 2008i
    (http://article.gmane.org/gmane.comp.time.tz/2440).
- additional changes from version 0.3.11
  * Updated to tzdata version 2008g
    (http://article.gmane.org/gmane.comp.time.tz/2335).
  * Support Ruby 1.9.0-5. Rational.new! has now been removed in
    Ruby 1.9.  Only use Rational.new! if it is available (it is
    preferable in Ruby 1.8 for performance reasons). Thanks to
    Jeremy Kemper and Pratik Naik for reporting this.
    Closes #22312.
  - Apply a patch from Pratik Naik to replace assert calls that
    have been deprecated in the Ruby svn trunk. Closes #22308.
- additional changes from version 0.3.10
  * Updated to tzdata version 2008f
    (http://article.gmane.org/gmane.comp.time.tz/2293).
- additional changes from version 0.3.9
  * Updated to tzdata version 2008c
    (http://article.gmane.org/gmane.comp.time.tz/2183).
  * Support loading timezone data in the latest trunk versions of
    Ruby 1.9.  Rational.new! is now private, so call it using
    Rational.send :new! instead.  Thanks to Jeremy Kemper and
    Pratik Naik for spotting this. Closes #19184.
  * Prevent warnings from being output when running Ruby with the
  - v or -w command line options. Thanks to Paul McMahon for the
    patch. Closes #19719.
- additional changes from version 0.3.8
  * Updated to tzdata version 2008b
    (http://article.gmane.org/gmane.comp.time.tz/2149).
  * Support loading timezone data in Ruby 1.9.0. Use DateTime.new!
    if it is available instead of DateTime.new0 when constructing
    transition times.  DateTime.new! was added in Ruby 1.8.6.
    DateTime.new0 was removed in Ruby 1.9.0. Thanks to Joshua
    Peek for reporting this. Closes #17606.
  * Modify some of the equality test cases to cope with the
    differences between Ruby 1.8.6 and Ruby 1.9.0.
- additional changes from version 0.3.7
  * Updated to tzdata version 2008a
    (http://article.gmane.org/gmane.comp.time.tz/2071).
- additional changes from version 0.3.6
  * Updated to tzdata version 2007k
    (http://article.gmane.org/gmane.comp.time.tz/2029).
  * Removed deprecated RubyGems autorequire option.
- additional changes from version 0.3.5
  * Updated to tzdata version 2007h
    (http://article.gmane.org/gmane.comp.time.tz/1878).
* Thu Aug 30 2007 mrueckert@suse.de
- update to version 0.3.4:
  * Updated to tzdata version 2007g
    (http://article.gmane.org/gmane.comp.time.tz/1810).
* Tue May 22 2007 mrueckert@suse.de
- update to version 0.3.3:
  o Updated to tzdata version 2006p
    (http://article.gmane.org/gmane.comp.time.tz/1358)
* Sun Oct 15 2006 mrueckert@suse.de
- update to version 0.3.2:
  o Updated to tzdata version 2006n
    (http://article.gmane.org/gmane.comp.time.tz/1288). Note that
    this release of tzdata removes the country Serbia and
    Montenegro (CS) and replaces it with separate Serbia (RS) and
    Montenegro (ME) entries.
* Tue Aug 22 2006 mrueckert@suse.de
- upgrade to version 0.3.1
